//
//		TEXIO USB488 Access Lib	Ver1.00
//
//*     Copyright(c) 2012  TEXIO TECHNOLOGY CORPORATION 


#include  "StdAfx.h"

#define DLL_ERROR  -1
#define IF_GPIB 1
#define IF_COM  2


class TMI_API
{
public:
	
	// foCX̃I[v
	int TMI_HandleOpen(char * Str_Renamed, char * Ptr);
	// foCX̃N[Y
	int TMI_HandleClose(int hID);
	// ^CAEgԐݒ
	int TMI_TimeOut(int hID, int time);
	// tbV
	int TMI_Refresh(int hID);
	// f̎擾
	int TMI_ModelNameQ(int hID, char * Model);
	// o͈ʒuƃvZbgʒuw肵ēdlݒ肷
	int TMI_Voltage(int hID, unsigned char ch, unsigned char  preset, double Data);
	// o͈ʒuƃvZbgʒuw肵ēdl擾
	int TMI_VoltageQ(int hID, unsigned char ch, unsigned char preset,  double * Voltage);
	// o͈ʒuƃvZbgʒuw肵ēdlݒ肷
	int TMI_Current(int hID, unsigned char ch, unsigned char preset, double Data);
	// o͈ʒuƃvZbgʒuw肵ēdl擾
	int TMI_CurrentQ(int hID, unsigned char ch, unsigned char preset, double * Current);
	// MainOutputON OFFs
	int TMI_MainOutput(int hID, unsigned char onoff);
	// MainOutput̏Ԃ擾
	int TMI_MainOutputQ(int hID, unsigned char * Ans);
	// Delay ON OFFs
	int TMI_Delay(int hID, unsigned char onoff);
	// Delay̏Ԃ擾
	int TMI_DelayQ(int hID, unsigned char * Ans);
	// OutputSelect̏o͕ON OFFs
	int TMI_OutputSel(int hID, unsigned char ch, unsigned char onoff);
	// OutputSelect̏o͕ʂ̏Ԃ擾
	int TMI_OutputSelQ(int hID, unsigned char ch, unsigned char * Ans);
	// TrackingON OFFs
	int TMI_TrackingOnOff(int hID, unsigned char onoff);
	// Tracking̏Ԃ擾
	int TMI_TrackingOnOffQ(int hID, unsigned char * Ans);
	// TrackingModeݒ肷
	int TMI_TrackingMode(int hID, unsigned char mode);
	// TrackingModȅԂ擾
	int TMI_TrackingModeQ(int hID, unsigned char * Ans);
	// TrackingGroupo͕ʂɐݒ肷
	int TMI_TrackingGroup(int hID, unsigned char ch, unsigned char Tracking_Set);
	// TrackingGroup̏o͕ʐݒԂ擾
	int TMI_TrackingGroupQ(int hID, unsigned char ch, unsigned char * Ans);
	// TrackingGroup̓dEdlo͕ʂɑ
	int TMI_TrackingData(int hID, unsigned char ch, unsigned char va, double Data);
	// TrackingGroup̓dEdlo͕ʂɎ擾
	int TMI_TrackingDataQ(int hID, unsigned char ch, unsigned char va, double * Data);
	// DELAYԂo͕ʂɐݒ肷
	int TMI_DelayTime(int hID, unsigned char ch, double Data);
	// DELAYԂo͕ʂɎ擾
	int TMI_DelayTimeQ(int hID, unsigned char ch, double * Data);
	// Display\ʒuݒ肷
	int TMI_Display(int hID, unsigned char ch);
	// Display\ʒu擾
	int TMI_DisplayQ(int hID, unsigned char * Ans);
	// Presetԍݒ肷
	int TMI_Preset(int hID, unsigned char preset);
	// Presetԍ擾
	int TMI_PresetQ(int hID, unsigned char * Ans);
	// w肵o͂̓dEdj^lCV/CCԂ擾
	int TMI_MoniDataQ(int hID, unsigned char ch, double * Voltage, double * Current, unsigned char * cv_cc);
	// VXeAhX擾
	int TMI_AdrQ(int hID, unsigned char * Adr);
	// [g烍[J֐؂ւ
	int TMI_RemoteLocal(int hID);
	// [JbNAEgԂֈڍs
	int TMI_LocalLockOut(int hID);
	// f[^̃obNAbvs
	int TMI_DataBackUp(int hID);
	// T[rXNGXg̋֎~E̐ݒ
	int TMI_SRQEnable(int hID, unsigned char ch);
	// So͂PRESETl̎擾
	int TMI_AllPresetQ(int hID, double * PresetMem);
	// So͂PRESETl̎擾
	int TMI_AllPresetQS(int hID, char * PresetMem);
	// Rg[֐FR}hM
	int TMI_Out(int hID, char * Str_Renamed);
	// Rg[֐FR}hM
	int TMI_In(int hID, char * strbuf);

	BOOL IFInitialize();

	TMI_API();
	virtual ~TMI_API();
	
	HINSTANCE m_TMI_APIDll;

	int  ( __stdcall* m_TMI_HandleOpen )( char * , char * );
	int  ( __stdcall* m_TMI_HandleClose )( int );
	int  ( __stdcall* m_TMI_TimeOut )( int , int );
	int  ( __stdcall* m_TMI_Refresh )( int );
	int  ( __stdcall* m_TMI_ModelNameQ )( int , char * );
	int  ( __stdcall* m_TMI_Voltage )( int , unsigned char , unsigned char , double );
	int  ( __stdcall* m_TMI_VoltageQ )( int , unsigned char , unsigned char , double * );
	int  ( __stdcall* m_TMI_Current )(int , unsigned char , unsigned char , double );
	int  ( __stdcall* m_TMI_CurrentQ )(int , unsigned char , unsigned char , double * );
	int  ( __stdcall* m_TMI_MainOutput )(int , unsigned char );
	int  ( __stdcall* m_TMI_MainOutputQ )(int , unsigned char * );
	int  ( __stdcall* m_TMI_Delay )(int , unsigned char );
	int  ( __stdcall* m_TMI_DelayQ )(int , unsigned char * );
	int  ( __stdcall* m_TMI_OutputSel )(int , unsigned char , unsigned char );
	int  ( __stdcall* m_TMI_OutputSelQ )(int , unsigned char , unsigned char * );
	int  ( __stdcall* m_TMI_TrackingOnOff )(int , unsigned char );
	int  ( __stdcall* m_TMI_TrackingOnOffQ )(int , unsigned char * );
	int  ( __stdcall* m_TMI_TrackingMode )(int , unsigned char );
	int  ( __stdcall* m_TMI_TrackingModeQ )(int , unsigned char * );
	int  ( __stdcall* m_TMI_TrackingGroup )(int , unsigned char , unsigned char );
	int  ( __stdcall* m_TMI_TrackingGroupQ )(int , unsigned char , unsigned char * );
	int  ( __stdcall* m_TMI_TrackingData )(int , unsigned char , unsigned char , double );
	int  ( __stdcall* m_TMI_TrackingDataQ )(int , unsigned char , unsigned char , double * );
	int  ( __stdcall* m_TMI_DelayTime )(int , unsigned char , double );
	int  ( __stdcall* m_TMI_DelayTimeQ )(int , unsigned char , double * );
	int  ( __stdcall* m_TMI_Display )(int , unsigned char );
	int  ( __stdcall* m_TMI_DisplayQ )(int , unsigned char * );
	int  ( __stdcall* m_TMI_Preset )(int , unsigned char );
	int  ( __stdcall* m_TMI_PresetQ )(int , unsigned char * );
	int  ( __stdcall* m_TMI_MoniDataQ )(int , unsigned char , double * , double * , unsigned char * );
	int  ( __stdcall* m_TMI_AdrQ )(int , unsigned char * );
	int  ( __stdcall* m_TMI_RemoteLocal )(int );
	int  ( __stdcall* m_TMI_LocalLockOut )(int );
	int  ( __stdcall* m_TMI_DataBackUp )(int );
	int  ( __stdcall* m_TMI_SRQEnable )(int , unsigned char );
	int  ( __stdcall* m_TMI_AllPresetQ )(int , double * );
	int  ( __stdcall* m_TMI_AllPresetQS )(int , char * );
	int  ( __stdcall* m_TMI_Out )(int , char * );
	int  ( __stdcall* m_TMI_In )(int , char * );

};
